---
title: 'Window: offline event'
slug: Web/API/Window/offline_event
tags:
  - API
  - Event
  - Offline
  - Reference
  - Window
---
<p>{{APIRef}}</p>

<p>The <strong><code>offline</code></strong> event of the {{domxref("Window")}} interface is fired when the browser has lost access to the network and the value of {{domxref("Navigator.onLine")}} switches to <code>false</code>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.onoffline", "onoffline")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// addEventListener version
window.addEventListener('offline', (event) =&gt; {
    console.log("The network connection has been lost.");
});

// onoffline version
window.onoffline = (event) =&gt; {
  console.log("The network connection has been lost.");
};
</pre>

<h2 class="brush: js" id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "indices.html#event-offline", "offline event")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.offline_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Window/online_event"><code>online</code></a></li>
</ul>
